package com.base.appzxhy.ads.applovin

import android.app.Activity
import java.lang.ref.WeakReference

class MaxAdState {

    /**
     * 当前缓存的广告
     */
    var currentAd: Any? = null

    /**
     * 是否正在缓存加载广告
     */
    var loadingAd: Boolean = false


    /**
     * 用于保存引用现有页面，在此页面显示广告(因为要等待广告加载完毕)
     */
    var activityRef: WeakReference<Activity>? = null

    /**
     * 上一次的缓存成功时间
     */
    var lastLoadTime: Long = 0

    /**
     * 上次展示时间
     */
    var lastShowTime: Long = 0

    fun onAdDisplayed() {

        lastShowTime = System.currentTimeMillis()

        activityRef = null
    }

    fun onAdHidden() {
        // 广告关闭，清空缓存数据，重新加载
    }

    fun onAdDisplayFailed() {

        activityRef = null
    }

    fun onAdLoaded() {
        loadingAd = false
        lastLoadTime = System.currentTimeMillis()
    }

    fun onAdLoadFailed() {
        loadingAd = false
    }

}